GROFF(1)

NAZWA
groff - front-end systemu formatowania dokumentów groff

SKŁADNIA
groff [-abcegijklpstzCEGNRSUVXZ] [-d cs] [-D arg] [-f fam] [-F dir] [-I dir] [-K arg] [-L arg] [-m name] [-M dir] [-n num] [-o list] [-P arg] [-r cn] [-T dev] [-w name] [-W name] [plik ...]
groff -h | --help
groff -v | --version [opcja ...]

OPIS
Dokument opisuje program groff, będący głównym interfejsem systemu formatowania dokumentów groff. Program groff wraz z zestawem makr jest implementacją systemu roff(7) z kolekcji wolnego oprogramowania GNU (http://www.gnu.org). System groff zawiera wszystkie właściwości klasycznego roffa oraz dodaje wiele rozszerzeń.

Program groff pozwala na kontrolowanie całego systemu groff za pomocą opcji linii poleceń. Jest to znaczące uproszczenie w porównaniu do klasycznego systemu (który używa tylko potoków).

OPCJE

Linia poleceń stosuje zwyczajową konwencję GNU. Białe znaki pomiędzy opcją linii poleceń i jej argumentem są opcjonalne. Opcje można grupować po pojedynczym znaku "-" (minus). Nazwa pliku - (znak minusa) oznacza standardowe wejście.

groff jest nakładką na program troff. Oba programy mają część wspólnych opcji. Jednakże groff zawiera także kilka dodatkowych, natywnych opcji oraz zmienia znaczenie kilku opcji troffa. Z drugiej strony nie wszystkie opcje troffa można przekazać do groffa.

  Natywne opcje groffa
Następujące opcje albo nie istnieją w troffie, albo są inaczej interpretowane przez groffa.

-D arg
    Ustawia na arg domyślne kodowanie używane przez preconv. Implikuje -k.

-e  Preprocesuje za pomocą eqn.

-g  Preprocesuje za pomocą grn.

-G  Preprocesuje za pomocą grap. Implikuje -p.

-h
--help
    Wyświetla informację o użyciu.

-I katalog
    Opcji można użyć do podania katalogu, w którym będą wyszukiwane pliki (zarówno te z linii poleceń, jak i te określone w żądaniach .psbb i .so oraz w sekwencjach \X'ps: import' i \X'ps: file'). Przeszukiwanie zawsze jest rozpoczynane od bieżącego katalogu. Opcji można użyć więcej niż raz, katalogi będą przeszukiwane w podanej kolejności. Żadne katalogi nie będą przeszukiwane, jeśli pliki są podane za pomocą bezwzględnych ścieżek. Opcja włącza opcję -s.

-j  Preprocesuje za pomocą chem. Implikuje -p.

-k  Preprocesuje za pomocą preconv. Jest uruchamiane przed jakimkolwiek innym preprocesorem. Domyślne zachowanie, jeśli nie podano opcji -K (ani -D) opisano na stronie podręcznika preconv.

-K arg
    Ustawia na arg kodowanie wejściowe używane przez preconv. Implikuje -k.

-l  Wysyła wyjście w celu wypisania do programu spoolera. Polecenie, które powinno być użyte do tego, jest podawane w poleceniu print w pliku opisu urządzenia; patrz groff_font(5). Jeśli nie jest to polecenie obecne, to wyjście jest domyślnie skierowane potokiem do programu lpr(1). Patrz opcje -L i -X.

-L arg
    Przekazuje arg spoolerowi. Każdy argument powinien być przekazany w osobnej opcji -L. Proszę zauważyć, że groff nie dołącza "-" (znaku minusa) do arg przed przekazaniem go spoolerowi.

-N  Nie zezwala na nowe linie z ogranicznikami eqn. Jest to to samo, co opcja -N w eqn.

-p  Preprocesuje za pomocą pic.

-P -opcja
-P -opcja -P arg
    Przekazuje -opcja lub -opcja arg do postprocesora. Opcja musi być podana ze wszystkimi poprzedzającymi znakami minusa lub , ponieważ groff nie dołącza myślników przed przekazaniem jej do postprocesora. Na przykład, aby przekazać tytuł do postprocesora gxditview, polecenie powłoki

            groff -X -P -title -P 'groff it' foo

    jest odpowiednikiem

            groff -X -Z foo | gxditview -title 'groff it' -

-R  Preprocesuje za pomocą refer. Nie istnieje mechanizm do przekazywania argumentów do refer, ponieważ większość opcji refer ma równoważne polecenia, które mogą być włączone w pliku. Więcej szczegółów można znaleźć w refer(1).

-s  Preprocesuje za pomocą soelim.

-S  Tryb bezpieczniejszy. Przekazuje opcję -S do programu pic oraz wyłącza następujące żądania troff: .open, .opena, .pso, .sy oraz .pi. Ze względów bezpieczeństwa ten tryb jest domyślnie włączony.

-t  Preprocesuje za pomocą tbl.

-T dev
    Ustawia urządzenie wyjściowe na dev. troff generuje pośrednie wyjście dla tego urządzenia, patrz groff_out(5). Następnie groff uruchamia postprocesor, aby przekształcić pośrednie wyjście troffa do docelowego formatu Rzeczywiste urządzenia w groffie to:

        dvi Format Tex DVI (postprocesorem jest grodvi).

        html
        xhtml
            Wyjście HTML i XHTML (preprocesorami są soelim i pre-grohtml, postprocesor to post-grohtml).

        lbp Drukarki Canon CAPSL (drukarki laserowe serii LBP-4 oraz LBP-8, postprocesorem jest grolbp).

        lj4 Drukarki zgodne z HP LaserJest4 (lub inne zgodne z PCL5) (postprocesorem jest grolj4).

        ps  Wyjście PostScript (postprocesor to grops).

        pdf Wyjście PDF (Portable Document Format) (postprocesor to gropdf).

    Dla następujących urządzeń wyjściowych TTY (postprocesorem jest zawsze grotty), opcja -T wybiera kodowanie wyjścia:

        ascii
            7-bitowe ASCII.

        cp1047
            Zestaw znaków Latin-1 dla komputerów EBCDIC.

        latin1
            ISO 8859-1.

        utf8
            Zestaw znaków Unicode w kodowaniu UTF-8.

    Następujące argumenty wybierają gxditview jako "postprocesor" (jest to raczej program do przeglądania):

        X75 rozdzielczość 75dpi, czcionka bazowa dokumentu 10pt.

        X75-12
            rozdzielczość 75dpi, czcionka bazowa dokumentu 12pt.

        X100
            rozdzielczość 100dpi, czcionka bazowa dokumentu 10pt.

        X100-12
            rozdzielczość 100dpi, czcionka bazowa dokumentu 12pt.

    Domyślnym urządzeniem jest ps.

-U  Tryb niebezpieczny. Włącza niebezpieczne (stare) zachowania, patrz opis opcji -S.

-v
--version
    Wyświetla informacje o wersji groffa i wszystkich programów, których używa; to jest podana linia poleceń jest przetwarzana w normalny sposób, a następnie -v jest przekazywane do wszystkich podprogramów.

-V  Wyświetla na standardowym wyjściu potok, który by został uruchomiony przez groffa (jako program opakowujący), ale go nie uruchamia. Jeśli podano więcej niż raz, to polecenia są zarówno wyświetlane na standardowym wyjściu błędów, jak i uruchamiane.

-X  Używa gxditview zamiast zwyczajowego postprocesora w celu umożliwienia przeglądania dokumentu. Zachowanie spoolera drukowania określone opcjami -l i -L jest przekazywane dalej do to gxditview(1) przez określenie argumentu opcji -printCommand programu gxditview(1). Ustawia na podaną wartość domyślną akcję Print i odpowiadający jej wpis w menu. -X zwraca dobre wyniki tylko w połączeniu z -Tps, -TX75, -TX75-12, -TX100 oraz -TX100-12. Domyślną rozdzielczością do wstępnego przeglądania wyjścia -Tps jest 75dpi; może to zostać zmienione za pomocą opcji -resolution polecenia gxditview, na przykład:

            groff -X -P-resolution -P100 -man foo.1

-z  Nie wyświetla wyjścia troffa. Drukowane będą tylko komunikaty o błędach.

-Z  Nie postprocesuje automatycznie pośredniego wyjścia groffa w zwyczajowy sposób. Powoduje to, że wyjście troffa pojawi się na standardowym wyjściu, zastępując zwyczajowe wyjście postprocesora, patrz groff_out(5).

  Przezroczyste opcje
Następujące opcje są przezroczyście przekazywane do programu formatującego troff, który jest później wywoływany przez groffa. Te opcje są szczegółowo opisane w troff(1).

-a  Przybliżenie wyjścia ASCII

-b  Stos wywołań w przypadku błędu lub ostrzeżenia.

-c  Wyłącza kolorowanie wyjścia. Więcej szczegółów można znaleźć na stronie podręcznika grotty(1).

-C  Włącza tryb kompatybilności.

-d cs
-d nazwa=s
    Definiuje łańcuch znaków.

-E  Wyłącza wyświetlanie komunikatów o błędach troffa.

-f fam
    Ustawia domyślną rodzinę czcionek.

-F katalog
    Ustawia ścieżkę plików czcionek DESC.

-i  Przetwarza standardowe wejście po przetworzeniu podanych plików wejściowych.

-m nazwa
    Dołącza plik makr nazwa.tmac (lub tmac.nazwa); patrz także groff_tmac(5).

-M katalog
    Ścieżka do plików makr.

-n num
    Ustawia numer pierwszej strony na num.

-o lista
    Wyświetla tylko strony podane w liście.

-r cn
-r nazwa=n
    Ustawia rejestr liczb.

-w nazwa
    Włącza ostrzeżenie o podanej nazwie. Nazwy można znaleźć w podręczniku troff(1).

-W nazwa
    Wyłącza ostrzeżenie o podanej nazwie. Nazwy można znaleźć w podręczniku troff(1).

UŻYWANIE GROFFA
System groff implementuje infrastrukturę klasycznego roffa, patrz roff(7) po ogólny opis działania systemu roff. Dzięki programom końcowym dostępnym w systemie groff, używanie groffa jest dużo prostsze od używania klasycznego roffa. Rozdział ten opisuje części składające się na system groff. Uzupełnia roff(7) o opis cech specyficznych dla groffa. Rozdział ten może być uznawany za przewodnik po dokumentacji systemu groff.

  Rozmiar papieru
Wirtualny rozmiar papieru używany przez troffa do formatowanie wejścia jest kontrolowany globalnie przez żądania .po, .pl oraz .ll. Patrz opis pakietu makr "papersize", który dostarcza wygodnego interfejsu, w groff_tmac(5)

Fizyczny rozmiar papieru, zawierający bieżące rozmiary kartek papieru, jest kontrolowany przez urządzenia wyjściowe takie jak grops za pomocą opcji -p i -l. Szczegóły można znaleźć w groff_font(5) i na stronach podręcznika urządzeń. groff używa opcji linii poleceń -P do przekazywania opcji urządzeniom wyjściowym; następujący przykład wybiera dla urządzenia PS papier A4 w orientacji poziomej:

        groff -Tps -P-pa4 -P-l ...

  Frony-endy
Program groff jest nakładką na program troff. Pozawala na podanie preprocesorów w opcjach linii poleceń i automatycznie uruchamia postprocesory właściwe dla wybranego urządzenia. Dzięki temu można uniknąć czasem nużącego mechanizmu potoków klasycznego roff(7).

Program grog(1) może być używany do zgadywania prawidłowych komend groffa w celu sformatowania pliku.

Program groffer(1) jest przeglądarką plików groff i stron podręcznika ekranowego.

  Preprocesory
Preprocesory groffa są ponowną implementacją klasycznych preprocesorów z nieznacznymi rozszerzeniami. Standardowymi preprocesorami dystrybuowanymi w pakiecie groff są:

eqn(1)
    formuły matematyczne;

grn(1)
    dołączanie obrazków gremlin(1),

pic(1)
    rysowanie diagramów,

chem(1)
    diagramy struktur chemicznych,

refer(1)
    odnośniki bibliograficzne,

soelim(1)
    dołączanie plików makr ze standardowych lokalizacji,

i

tbl(1)
    tabele.

Nowym preprocesorem, niedostępnym w klasycznym troffie, jest preconv(1), przekształcający różne kodowania wejściowe do czegoś, co może być zrozumiałe przez groffa. Jest zawsze uruchamiany przed jakimkolwiek innym preprocesorem.

Poza tym istnieją wewnętrzne preprocesory, uruchamiane automatycznie dla niektórych urządzeń. Nie są widoczne dla użytkownika.

  Pakiety makr
Pakiety makr można dołączyć za pomocą opcji -m. System groff implementuje i rozszerza wszystkie klasyczne pakiety makr, zachowując zgodność z klasycznymi wersjami. Dodaje także kilka własnych pakietów. Obecnie następujące pakiety makr są dostarczane z groffem:

man Tradycyjny format stron podręcznika ekranowego, patrz groff_man(7). W linii poleceń może być podany jako -man lub -m man.

mandoc
    Ogólny pakiet stron podręcznika ekranowego. Automatycznie rozpoznaje, czy dokumenty używają formatu man czy mdoc i uruchamia odpowiedni pakiet makr. W linii poleceń może być podany jako -mandoc lub -m mandoc.

mdoc
    Format BSD stron podręcznika ekranowego, patrz groff_mdoc(7). W linii poleceń może być podany jako -mdoc lub -m mdoc.

me  Tradycyjny format dokumentu me, patrz groff_me(7). W linii poleceń może być podany jako -me lub -m me.

mm  Tradycyjny format dokumentu mm, patrz groff_mm(7). W linii poleceń może być podany jako -mm lub -m mm.

ms  Tradycyjny format dokumentu ms, patrz groff_ms(7). W linii poleceń może być podany jako -ms lub -m ms.

www Makra podobne do HTML-a do użycia w dowolnym dokumencie groff; patrz groff_www(7).

Szczegóły dotyczące nazywania plików makr i ich umieszczenia można znaleźć w groff_tmac(5), która także dokumentuje kilka innych, mniejszych pomocniczych makr, niewymienionych tutaj.

  Język programowania
Ogólne koncepcje wspólne dla wszystkich języków programowania troff są opisane w roff(7).

Rozszerzenia groffa do klasycznego języka roff są udokumentowane w groff_diff(7).

Język groff jako całość jest opisany w (wciąż nieukończonym) pliku info groff; krótki (ale kompletny) opis można znaleźć w groff(7).

  Programu formatujące
Centralnym formaterem roffa w systemie groff jest troff(1). Ma cechy zarówno klasycznego troffa, jak i nroffa oraz zawiera rozszerzenia groffa. Opcja linii poleceń -C przełącza troffa w tryb zgodności, który w takim stopniu jak to jest tylko możliwe, próbuje emulować klasycznego roffa.

Istnieje skrypt powłoki nroff(1) emulujący zachowanie klasycznego nroffa. Próbuje automatycznie wybrać właściwe kodowanie wyjścia, zgodne z bieżącymi ustawieniami regionalnymi.

Program formatujący generuje wyjście pośrednie; patrz groff_out(7).

  Urządzenia
W roffie cele wyjściowe są nazywane urządzeniami. Urządzenie może być urządzeniem sprzętowym, jak na przykład drukarka, lub formatem pliku. Urządzenie jest określane za pomocą opcji -T. groff obsługuje następujące urządzenia:

ascii
    Wyjście tekstowe używające zestawu znaków ascii(7).

cp1047
    Wyjście tekstowe używające strony kodowej EBCDIC IBM cp1047 (np.: OS/390 Unix).

dvi Format TeX DVI.

html
    Wyjście HTML.

latin1
    Wyjście tekstowe używające zestawu znaków ISO Latin-1 (ISO 8859-1), patrz see iso_8859_1(7).

lbp Wyjście dla drukarek Canon CAPSL (drukarki laserowe serii LBP-4 oraz LBP-8).

lj4 Drukarki zgodne z HP LaserJest4 (lub inne zgodne z PCL5).

ps  Wyjście PostScript, odpowiednie dla drukarek i programów do przeglądania, takich jak gv(1).

pdf Pliki PDF, odpowiednie do przeglądania za pomocą narzędzi takich jak evince(1) i okular(1).

utf8
    Wyjście tekstowe używające zestawu znaków Unicode (ISO 10646) zakodowanych w UTF-8; patrz unicode(7).

xhtml
    Wyjście XHTML.

X75 Wyjście X Window System w rozdzielczości 75dpi, odpowiednie dla przeglądarek xditview(1x) oraz gxditview(1). 12-punktowym wariantem czcionki bazowej dokumentu jest X75-12.

X100
    Wyjście X Window System w rozdzielczości 100dpi, odpowiednie dla przeglądarek xditview(1x) oraz gxditview(1). 12-punktowym wariantem czcionki bazowej dokumentu jest X100-12.

Postprocesor używany dla danego urządzenia jest podawany komendą postpro w pliku opisu urządzenia; patrz groff_font(5). Może to być nadpisane za pomocą opcji -X.

Domyślnym urządzeniem jest ps.

  Postprocesory
groff dostarcza 3 postprocesorów sprzętowych:

grolbp(1)
    dla niektórych drukarek Canona,

grolj4(1)
    dla drukarek zgodnych z HP LaserJet 4 i PCL5,

grotty(1)
    dla wyjścia tekstowego używającego różnych kodowań znaków, na przykład dla terminali tekstowych lub drukarek wierszowych.

Obecnie większość sprzętu drukującego lub rysującego jest obsługiwane przez system operacyjny za pomocą sterowników urządzeń lub przez interfejsy programowe zazwyczaj akceptujące PostScript. Dlatego też nie ma nagłej potrzeby dodawania większej liczby postprocesorów sprzętowych.

Urządzenia programowe groff konwertujące dokumenty do innych formatów plików to:

grodvi(1)
    dla formatu DVI,

grohtml(1)
    dla formatów HTML i XHTML,

grops(1)
    dla PostScriptu.

gropdf(1)
    dla PDF.

Urządzenia te, połączone z wieloma istniejącymi bezpłatnymi narzędziami do konwertowania, powinny być wystarczające do skonwertowania dokumentu troff do jakiegokolwiek innego istniejącego formatu dokumentów.

  Narzędzia użytkowe
Dostępne są następujące programy użytkowe związane z groffem:

addftinfo(1)
    Dodaje informacje do plików opisów czcionek troffa, do użycia przez groffa.

afmtodit(1)
    Tworzy pliki opisu czcionek dla urządzeń PostScript.

eqn2graph(1)
    Konwertuje obraz eqn do obrazu skadrowanego.

gdiffmk(1)
    Oznacza różnice pomiędzy plikami groff, nroff lub troff.

grap2graph(1)
    Konwertuje diagram grap do skadrowanego obrazu bitmapowego.

groffer(1)
    Ogólna przeglądarka plików groff i stron podręcznika ekranowego.

gxditview(1)
    Przeglądarka groff systemu X, wersja GNU programu xditview.

hpftodit(1)
    Tworzy pliki opisów czcionek dla urządzeń lj4.

indxbib(1)
    Tworzy odwrotny indeks baz bibliograficznych.

lkbib(1)
    Przeszukuje bazę danych bibliografii.

lookbib(1)
    Interaktywnie przeszukuje bazę danych bibliografii.

pdfroff(1)
    Tworzy dokumenty PDF używając groffa.

pfbtops(1)
    Tłumaczy czcionki PostScript w formaci .pfb do ASCII.

pic2graph(1)
    Konwertuje diagram pic do obrazu skadrowanego.

tfmtodit(1)
    Tworzy pliki opisów czcionek dla urządzeń TeX DVI.

xditview(1x)
    Przeglądarka roff rozprowadzana z systemem X Window.

xtotroff(1)
    Konwertuje metryki czcionek X na metryki czcionek GNU troffa.

ŚRODOWISKO
Zazwyczaj separatorem ścieżek w następujących zmiennych środowiskowych jest dwukropek; może się to jednak różnić w zależności od systemu operacyjnego. Na przykład systemy DOS i Windows używają średnika.

Ta ścieżka poszukiwań, po której następuje
    jest używana do poszukiwania poleceń wywoływanych przez groffa. Jeśli nie jest ustawiona, to katalog, w którym zostały zainstalowane programy binarne groffa, jest dołączany na początek

Jeśli jest potrzeba uruchamiania różnych implementacji roffa w tym samym
    czasie, to groff daje możliwość dołączania prefiksu do większości swoich programów, które mogłyby powodować konflikty nazw podczas uruchamiania (domyślnie nie ma prefiksu). Historycznie takim prefiksem był znak g, ale może to być cokolwiek. Na przykład gtroff oznaczałby wersję groffa programu troff , gtbl - wersję groffa programu tbl. Przez ustawianie na różne wartości można odwoływać się do różnych instalacji roffa. Dokładniej, jeśli jest ustawione na prefiks xxx, to groff jako nakładka wewnętrznie wywoła xxxtroff zamiast troff. Odnosi się to także do preprocesorów eqn, grn, pic, refer, tbl, soelim oraz do programów użytkowych indxbib i lookbib. Cecha ta nie aplikuje się do innych programów niewymienionych powyżej (w szczególności do samego groffa), ponieważ są one unikatowe dla pakietu groff.

Wartość tej opcji środowiska jest przekazywana do preprocesora preconv w
    celu wybrania kodowania plików wejściowych. Ustawienie tej opcji implikuje opcję -k linii poleceń groffa (czyli że groff zawsze wywołuje preconv). Jeśli ustawiono bez podania wartości, to groff uruchamia preconv bez żadnych argumentów. Podana wprost opcja linii poleceń -K nadpisuje wartość zmiennej Szczegóły można znaleźć w preconv(1).

Lista dodatkowych (do domyślnych) katalogów, w których należy szukać
    katalogu devnazwa. Więcej szczegółów można znaleźć w troff(1) oraz groff_font(5).

Lista dodatkowych (do domyślnych) katalogów do poszukiwania plików makr.
    Więcej szczegółów można znaleźć w troff(1) oraz groff_tmac(5).

Katalog na pliki tymczasowe.
    Jeśli nie ustawiono, ale zamiast niej istnieje zmienna środowiskowa , to pliki tymczasowe będą tworzone w katalogu W systemach MS-DOS i Windows 32 zmienne środowiskowe i (w takiej kolejności) są również przeszukiwane po oraz W przeciwnym wypadku pliki tymczasowe są tworzone w /tmp. Plików tymczasowych używają polecenia refer(1), groffer(1), grohtml(1) oraz grops(1).

Ustawia domyślne urządzenie.
    Jeśli nie jest ustawione, to domyślnie jest używane urządzenie ps. Nazwę tego urządzenia można nadpisać za pomocą opcji -T.

PLIKI
Istnieje kilka katalogów, w których groff instaluje swoje pliki danych. Z powodu różnych przyzwyczajeń instalatorów różnych systemów operacyjnych, ich lokalizacje nie są zaszyte na stałe, ale ich funkcjonalności są jasno zdefiniowane i wspólne dla wszystkich systemów.

  Katalog makr groffa
Zawiera wszystkie informacje związane z pakietami makr. Proszę zauważyć, że tak jak to opisano w groff_tmac(5), przeszukiwany jest więcej niż jeden katalog. W instalacjach groffa odpowiadających wersji tego dokumentu, jest on zlokalizowany w /usr/share/groff/1.22.2/tmac. Następujące pliki zawarte w katalogu makr groffa mają specjalnie znaczenie:

troffrc
    Plik inicjacji troffa. Jest interpretowany przez troffa przez odczytaniem zbiorów makr i jakiegokolwiek pliku wejściowego.

troffrc-end
    Finalny plik startowy troffa. Jest przetwarzany po tym, jak wszystkie zbiory makr zostaną przeczytane.

nazwa.tmac
tmac.nazwa
    Plik makr dla pakietu makr nazwa.

  Katalog czcionek groffa
Zawiera wszystkie informacje związane z urządzeniami wyjściowymi. Proszę zauważyć, żę przeszukiwany jest więcej niż jeden katalog; patrz troff(1). W instalacjach groffa odpowiadających wersji tego dokumentu, jest on zlokalizowany w /usr/share/groff/1.22.2/font. Następujące pliki zawarte w katalogu czcionek groffa mają specjalnie znaczenie:

devnazwa/DESC
    Plik opisu urządzenia dla urządzenia nazwa; patrz groff_font(5).

devnazwa/F
    Plik z czcionką dla czcionki F urządzenia nazwa.

PRZYKŁADY
Następujący przykład ilustruje siłę programu groff jako nakładki na troffa.

Aby przetworzyć plik roff, używając preprocesorów tbl i pic oraz pakietu makr me, klasycznego roffa należy wywołać następująco:

        pic foo.me | tbl | troff -me -Tlatin1 | grotty

Używając groffa, ten potok można skrócić do równoważnego polecenia:

        groff -p -t -me -T latin1 foo.me

Nawet prostszym sposobem będzie użycie programu grog(1) do odgadnięcia preprocesora i opcji makr i wykonania wygenerowanego polecenia (przez użycie odwrotnych apostrofów do podania podstawienia polecenia powłoki):

        `grog -Tlatin1 foo.me`

Najprostszym automatycznym sposobem wyświetlenia zawartości jest wywołanie:

        groffer foo.me

BŁĘDY

Urządzenia ascii oraz latin1 nie są dostępne na komputerach EBCDIC (np. OS/390 Unix). Podobnie wyjście dla strony kodowej EBCDIC cp1047 jest niedostępne na systemach operacyjnych opartych na ASCII.

Błędy prosimy zgłaszać lista mailingowa groffa (bug-groff@gnu.org). Prosimy o załączanie kompletnych przykładów pozwalających na powielenie błędu i załączanie informacji o używanej wersji groffa.

DOSTĘPNOŚĆ
Informacje o tym, jak pobrać groffa i inne powiązane informacje są dostępne na stronie groffa (http://www.gnu.org/software/groff). Najnowsza wydana wersja groffa jest dostępna na stronie dla rozwijających groffa (http://groff.ffii.org/groff/devel/groff-current.tar.gz).

Dostępne są trzy listy dystrybucyjne groffa:

    do wysyłania zgłoszeń o błędach (bug-groff@gnu.org).

    do ogólnej dyskusji o groffie, (groff@gnu.org).

    lista commitów groffa (groff-commit@ffii.org), lista tylko do odczytu pokazująca logi zmian wrzucanych do repozytorium CVS.

Szczegóły dostępu do repozytorium CVS i znacznie więcej można znaleźć w pliku README w głównym katalogu pakietu źródłowego groff.

Istnieje wolna implementacja preprocesora grap, napisana przez Ted Faber (faber@lunabase.org). Bieżącą wersję można znaleźć na stronie grapa (http://www.lunabase.org/~faber/Vault/software/grap/). Jest to jedyna wersja grapa obsługiwana przez groffa.

AUTORZY
Copyright © 2011 Free Software Foundation, Inc.

Ten dokument jest dystrybuowany na warunkach FDL (GNU Free Documentation License) w wersji 1.3 lub późniejszej Kopia FDL powinna być dostępna w systemie, jest ona także dostępna na stronie licencji GNU (http://www.gnu.org/copyleft/fdl.html).

Ten dokument jest oparty na oryginalnej stronie podręcznika groff, której autorem jest James Clark (jjc@jclark.com). Został przepisany, rozszerzony i umieszczony na licencji FDL przez Bernda Warkena<groff-bernd.warken-72@web.de>. Opiekuje się nim Werner Lemberg (wl@gnu.org).

groff jest projektem wolnego oprogramowania GNU. Wszystkie części pakietu groff są chronione przez licencje GNU. Pliki programu są dystrybuowane na zasadach licencji GNU General Public License (GPL), podczas gdy dokumentacja głównie używa licencji GNU Free Documentation License (FDL).

ZOBACZ TAKŻE
Plik info groff zawiera wszystkie informacje o systemie groff w jednym dokumencie, zawierającym wiele przykładów i informacji dodatkowych. Instrukcje jak go przeczytać można znaleźć w info(1)

Z powodu swojej skomplikowanej struktury, system groff zawiera wiele stron podręcznika. Można je przeglądać za pomocą man(1) lub groffer(1).

Wprowadzenie, historia i dalsze informacje:
    roff(7).

Przeglądarka plików groff:
    groffer(1), gxditview(1), xditview(1x).

Nakładki programów dla formaterów:
    groff(1), grog(1).

Preprocesory roff:
    eqn(1), grn(1), pic(1), chem(1), preconv(1), refer(1), soelim(1), tbl(1), grap(1).

Język roff z rozszerzeniami groff:
    groff(7), groff_char(7), groff_diff(7), groff_font(5).

Programy formatujące roff:
    nroff(1), troff(1), ditroff(7).

Język dla wyjścia pośredniego:
    groff_out(7).

Postprocesory urządzeń wyjściowych:
    grodvi(1), grohtml(1), grolbp(1), grolj4(1), lj4_font(5), grops(1), gropdf(1), grotty(1).

Pakiety makr groffa i użytki specyficzne dla makr:
    groff_tmac(5), groff_man(7), groff_mdoc(7), groff_me(7), groff_mm(7), groff_mmse(7) (tylko w szwedzkiej wersji językowej), groff_mom(7), groff_ms(7), groff_www(7), groff_trace(7), mmroff(7).

Dostępne są następujące narzędzia użytkowe:
    addftinfo(1), afmtodit(1), eqn2graph(1), gdiffmk(1), grap2graph(1), groffer(1), gxditview(1), hpftodit(1), indxbib(1), lkbib(1), lookbib(1), pdfroff(1), pfbtops(1), pic2graph(1), tfmtodit(1), xtotroff(1).

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@dione.ids.pl>, Robert Luberda <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 1.22.2 oryginału.